org.apache.avro

## Class SchemaValidatorBuilder

- java.lang.Object
- - org.apache.avro.SchemaValidatorBuilder

-     public final class SchemaValidatorBuilder
      extends Object

  A Builder for creating SchemaValidators.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchemaValidatorBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SchemaValidatorBuilder` | `canBeReadStrategy()` Use a strategy that validates that a schema can be read by existing schema(s) according to the Avro default schema resolution.
    `SchemaValidatorBuilder` | `canReadStrategy()` Use a strategy that validates that a schema can be used to read existing schema(s) according to the Avro default schema resolution.
    `SchemaValidatorBuilder` | `mutualReadStrategy()` Use a strategy that validates that a schema can read existing schema(s), and vice-versa, according to the Avro default schema resolution.
    `SchemaValidatorBuilder` | `strategy(SchemaValidationStrategy strategy)`
    `SchemaValidator` | `validateAll()`
    `SchemaValidator` | `validateLatest()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchemaValidatorBuilder

          public SchemaValidatorBuilder()

  - ### Method Detail

    - #### strategy

          public SchemaValidatorBuilder strategy(SchemaValidationStrategy strategy)

    - #### canReadStrategy

          public SchemaValidatorBuilder canReadStrategy()

      Use a strategy that validates that a schema can be used to read existing schema(s) according to the Avro default schema resolution.

    - #### canBeReadStrategy

          public SchemaValidatorBuilder canBeReadStrategy()

      Use a strategy that validates that a schema can be read by existing schema(s) according to the Avro default schema resolution.

    - #### mutualReadStrategy

          public SchemaValidatorBuilder mutualReadStrategy()

      Use a strategy that validates that a schema can read existing schema(s), and vice-versa, according to the Avro default schema resolution.

    - #### validateLatest

          public SchemaValidator validateLatest()

    - #### validateAll

          public SchemaValidator validateAll()

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.